/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   image_routine.c                                    :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: gtertysh <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2017/03/16 18:59:11 by gtertysh          #+#    #+#             */
/*   Updated: 2017/03/16 18:59:12 by gtertysh         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "fractol.h"

void	put_pixel_to_image(int x, int y, t_color *col, t_fractol *fr)
{
	if (x < 0 || y < 0 || x >= fr->w_width || y >= fr->w_height)
		return ;
	*(int *)((fr->image_data + x * fr->bpp / 8 + y * fr->line_size)) =
			color_to_int(*col);
}
