/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   map_check.c                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: gtertysh <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2017/03/16 18:59:27 by gtertysh          #+#    #+#             */
/*   Updated: 2017/03/16 18:59:29 by gtertysh         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "fractol.h"

static int	wrong_symbols_help(char *tmp)
{
	if ((ft_strstr(tmp, ",0x") == tmp) && (tmp += 3))
	{
		if (!*tmp)
			return (1);
		while (ft_isdigit(*tmp) || (*tmp >= 'A' && *tmp <= 'F'))
			tmp++;
	}
	if (*tmp)
		return (1);
	return (0);
}

int			wrong_symbols(char **line)
{
	char	*tmp;
	int		num;
	int		neg;

	num = 0;
	neg = 0;
	tmp = *line;
	while ((*tmp == '-' || ft_isdigit(*tmp)) && *tmp)
	{
		if (*tmp == '-')
			neg = 1;
		else if (*tmp)
			num++;
		tmp++;
	}
	if (neg == 1 && num == 0)
		return (1);
	if (wrong_symbols_help(tmp))
		return (1);
	return (0);
}

void		wrong_map(void)
{
	ft_putstr("Wrong map!\n");
	quit(0);
}
